# Generated by Django 2.2.28 on 2022-06-21 14:41

from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('djangoldp_community', '0008_auto_20210415_1744'),
    ]

    operations = [
        migrations.CreateModel(
            name='EsaBicLocation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, default='', max_length=254, null=True)),
            ],
            options={
                'verbose_name': 'ESA-BIC Location',
                'verbose_name_plural': 'ESA-BIC Locations',
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'rdf_type': 'sib:EsaBicLocation',
                'container_path': 'esa-locations/',
                'serializer_fields': ['@id', 'name'],
                'nested_fields': [],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='EsaBicPosition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, default='', max_length=254, null=True)),
            ],
            options={
                'verbose_name': 'ESA-BIC Position',
                'verbose_name_plural': 'ESA-BIC Positions',
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'rdf_type': 'sib:EsaBicPosition',
                'container_path': 'esa-positions/',
                'serializer_fields': ['@id', 'name'],
                'nested_fields': [],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='EsaCommunity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('company_name', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('main_contact_first_name', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('main_contact_last_name', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('company_description', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('status', models.CharField(blank=True, choices=[('Incubation', 'Incubation'), ('Alumni', 'Alumni'), ('Other', 'Other')], default='Other', max_length=10, null=True)),
                ('graduation_year', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('community', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='esa_profile', to='djangoldp_community.Community')),
                ('esa_bic_position', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='position_bic', to='djangoldp_esa.EsaBicPosition')),
                ('location_esa_bic', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='location_bic', to='djangoldp_esa.EsaBicLocation')),
            ],
            options={
                'verbose_name': 'ESA Profile',
                'verbose_name_plural': 'ESA Profiles',
                'ordering': ['company_name'],
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'rdf_type': 'sib:CommunityEsaProfile',
                'container_path': '/esaprofiles/',
                'serializer_fields': ['@id', 'company_name', 'main_contact_first_name', 'main_contact_last_name', 'company_description', 'tags', 'role', 'sectors', 'spaces', 'status', 'graduation_year', 'esa_bic_position', 'location_esa_bic'],
                'depth': 1,
            },
        ),
        migrations.CreateModel(
            name='EsaCommunityRole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, default='', max_length=254, null=True)),
            ],
            options={
                'verbose_name': 'ESA Role',
                'verbose_name_plural': 'ESA Roles',
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'rdf_type': 'sib:EsaRole',
                'container_path': 'esa-roles/',
                'serializer_fields': ['@id', 'name'],
                'nested_fields': [],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='EsaCommunityTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, default='', max_length=254, null=True)),
                ('esacommunity', models.ManyToManyField(blank=True, related_name='tags', to='djangoldp_esa.EsaCommunity')),
            ],
            options={
                'verbose_name': 'ESA Tag',
                'verbose_name_plural': 'ESA Tags',
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'rdf_type': 'sib:EsaTag',
                'container_path': 'esa-tags/',
                'serializer_fields': ['@id', 'name'],
                'nested_fields': [],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='EsaCommunitySpace',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, default='', max_length=254, null=True)),
                ('esacommunity', models.ManyToManyField(blank=True, related_name='spaces', to='djangoldp_esa.EsaCommunity')),
            ],
            options={
                'verbose_name': 'ESA Space',
                'verbose_name_plural': 'ESA Spaces',
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'rdf_type': 'sib:EsaSpace',
                'container_path': 'esa-spaces/',
                'serializer_fields': ['@id', 'name'],
                'nested_fields': [],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='EsaCommunitySector',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, default='', max_length=254, null=True)),
                ('esacommunity', models.ManyToManyField(blank=True, related_name='sectors', to='djangoldp_esa.EsaCommunity')),
            ],
            options={
                'verbose_name': 'ESA Sector',
                'verbose_name_plural': 'ESA Sectors',
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'rdf_type': 'sib:EsaSector',
                'container_path': 'esa-sectors/',
                'serializer_fields': ['@id', 'name'],
                'nested_fields': [],
                'depth': 0,
            },
        ),
        migrations.AddField(
            model_name='esacommunity',
            name='role',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='tags', to='djangoldp_esa.EsaCommunityRole'),
        ),
    ]
